# Preferences for Fitbit
Memory cached and persistent key-value local storage for Fitbit OS.

## Usage
Install the module:
```
npm i fitbit-preferences
```

Import the script:
```javascript
import { preferences } from "fitbit-preferences";
```

Store your values:
```javascript
preferences.keep_screen_on = true;
preferences.user_name = "John Doe";
preferences.birth_year = 1988;
```

Read your values:
```javascript
let keepScreenOn = preferences.keep_screen_on;
let userName = preferences.user_name;
let birthYear = preferences.birth_year;
```

The script loads the data automatically on start, and saves it on close. 

And that's all!
