import { readFileSync, writeFileSync } from 'fs';
import { me } from 'appbit';

var FILE_NAME = 'a2b3b578-aa81-4ae9-93d0-8dca5216e095.cbor';

export var preferences = {};

try {
  preferences = readFileSync(FILE_NAME, 'cbor');
} catch (error) {
  console.warn('Failed to load ' + FILE_NAME + '. It is OK if no values were stored yet.');
}

me.addEventListener('unload', function () {
  try {
    writeFileSync(FILE_NAME, preferences, 'cbor');
  } catch (error) {
    console.error('Failed to save ' + FILE_NAME);
  }
});